<?php
/**
 * All settings related to footer recommended post.
 *
 * @package TruthMag
 */
$wp_customize->add_section(
	'grid_list',
	array(
		'title' => esc_html__( 'Grid List Section', 'truthmag' ),
		'panel' => 'front_page_theme_options_panel',
	)
);

$wp_customize->add_setting(
    'truthmag_options[enable_grid_list]',
    array(
        'default'           => $truthmag_default['enable_grid_list'],
        'sanitize_callback' => 'truthmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'truthmag_options[enable_grid_list]',
    array(
        'label'       => esc_html__( 'Enable Grid List', 'truthmag' ),
        'section'     => 'grid_list',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'truthmag_options[grid_list_title]',
    array(
        'default' => $truthmag_default['grid_list_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'truthmag_options[grid_list_title]',
    array(
        'label' => __('Section Title', 'truthmag'),
        'section' => 'grid_list',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'truthmag_section_seperator_grid_list_1',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Truthmag_Seperator_Control(
        $wp_customize,
        'truthmag_section_seperator_grid_list_1',
        array(
            'label'         => esc_html__( 'Grid List Column - 1', 'truthmag' ),
            'settings' => 'truthmag_section_seperator_grid_list_1',
            'section' => 'grid_list',
        )
    )
);

$wp_customize->add_setting(
    'truthmag_options[grid_list_category_1]',
    array(
        'default'           => $truthmag_default['grid_list_category_1'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Truthmag_Dropdown_Taxonomies_Control(
        $wp_customize,
        'truthmag_options[grid_list_category_1]',
        array(
            'label'           => __( 'Choose Column - 1 Category', 'truthmag' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'truthmag' ),
            'section'         => 'grid_list',
        )
    )
);

$wp_customize->add_setting(
    'truthmag_options[grid_list_block_offset]',
    array(
        'default' => $truthmag_default['grid_list_block_offset'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'truthmag_options[grid_list_block_offset]',
    array(
        'label' => __('Post Offset', 'truthmag'),
        'section' => 'grid_list',
        'type' => 'number',
    )
);


$wp_customize->add_setting(
    'truthmag_section_seperator_grid_list_2',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Truthmag_Seperator_Control(
        $wp_customize,
        'truthmag_section_seperator_grid_list_2',
        array(
            'label'         => esc_html__( 'Grid List Column - 2', 'truthmag' ),
            'settings' => 'truthmag_section_seperator_grid_list_2',
            'section' => 'grid_list',
        )
    )
);

$wp_customize->add_setting(
  'truthmag_options[grid_list_inner_title]',
  array(
      'default' => $truthmag_default['grid_list_inner_title'],
      'sanitize_callback' => 'sanitize_text_field',
  )
);
$wp_customize->add_control(
  'truthmag_options[grid_list_inner_title]',
  array(
      'label' => __('Inner Column Title', 'truthmag'),
      'section' => 'grid_list',
      'type' => 'text',
  )
);

$wp_customize->add_setting(
    'truthmag_options[grid_list_category_2]',
    array(
        'default'           => $truthmag_default['grid_list_category_2'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Truthmag_Dropdown_Taxonomies_Control(
        $wp_customize,
        'truthmag_options[grid_list_category_2]',
        array(
            'label'           => __( 'Choose Column - 2 Category', 'truthmag' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'truthmag' ),
            'section'         => 'grid_list',
        )
    )
);

$wp_customize->add_setting(
    'truthmag_options[grid_list_block_offset_2]',
    array(
        'default' => $truthmag_default['grid_list_block_offset_2'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'truthmag_options[grid_list_block_offset_2]',
    array(
        'label' => __('Post Offset', 'truthmag'),
        'section' => 'grid_list',
        'type' => 'number',
    )
);

$wp_customize->add_setting(
  'truthmag_options[grid_list_more_category_text]',
  array(
      'default' => $truthmag_default['grid_list_more_category_text'],
      'sanitize_callback' => 'sanitize_text_field',
  )
);
$wp_customize->add_control(
  'truthmag_options[grid_list_more_category_text]',
  array(
      'label' => __('Redirect to Category Page Text', 'truthmag'),
      'section' => 'grid_list',
      'type' => 'text',
  )
);

$wp_customize->add_setting(
    'truthmag_section_seperator_grid_list_meta',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Truthmag_Seperator_Control(
        $wp_customize,
        'truthmag_section_seperator_grid_list_meta',
        array(
            'label'         => esc_html__( 'Grid List Meta Option', 'truthmag' ),
            'settings' => 'truthmag_section_seperator_grid_list_meta',
            'section' => 'grid_list',
        )
    )
);

$wp_customize->add_setting(
    'truthmag_options[enable_grid_list_author_meta]',
    array(
        'default' => $truthmag_default['enable_grid_list_author_meta'],
        'sanitize_callback' => 'truthmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'truthmag_options[enable_grid_list_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'truthmag'),
        'section' => 'grid_list',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'truthmag_options[select_grid_list_author_meta]',
    array(
        'default' => $truthmag_default['select_grid_list_author_meta'],
        'sanitize_callback' => 'truthmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'truthmag_options[select_grid_list_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'truthmag'),
        'section' => 'grid_list',
        'type' => 'select',
        'choices' => truthmag_author_meta(),
    )
);
$wp_customize->add_setting(
    'truthmag_options[grid_list_author_meta_title]',
    array(
        'default' => $truthmag_default['grid_list_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'truthmag_options[grid_list_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'truthmag'),
        'section' => 'grid_list',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'truthmag_options[enable_grid_list_date_meta]',
    array(
        'default' => $truthmag_default['enable_grid_list_date_meta'],
        'sanitize_callback' => 'truthmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'truthmag_options[enable_grid_list_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'truthmag'),
        'section' => 'grid_list',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'truthmag_options[select_grid_list_date]',
    array(
        'default' => $truthmag_default['select_grid_list_date'],
        'sanitize_callback' => 'truthmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'truthmag_options[select_grid_list_date]',
    array(
        'label' => esc_html__('Select Date Meta', 'truthmag'),
        'section' => 'grid_list',
        'type' => 'select',
        'choices' => truthmag_date_meta(),
    )
);
$wp_customize->add_setting(
    'truthmag_options[select_grid_list_date_meta_title]',
    array(
        'default' => $truthmag_default['select_grid_list_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'truthmag_options[select_grid_list_date_meta_title]',
    array(
        'label' => __('Date Meta Text', 'truthmag'),
        'section' => 'grid_list',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'truthmag_options[select_grid_list_date_format]',
    array(
        'default' => $truthmag_default['select_grid_list_date_format'],
        'sanitize_callback' => 'truthmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'truthmag_options[select_grid_list_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'truthmag'),
        'section' => 'grid_list',
        'type' => 'select',
        'choices' => truthmag_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'truthmag_options[enable_grid_list_category_meta]',
    array(
        'default' => $truthmag_default['enable_grid_list_category_meta'],
        'sanitize_callback' => 'truthmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'truthmag_options[enable_grid_list_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'truthmag'),
        'section' => 'grid_list',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'truthmag_options[select_grid_list_number_of_category]',
    array(
        'default' => $truthmag_default['select_grid_list_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'truthmag_options[select_grid_list_number_of_category]',
    array(
        'label' => __('Number of Category', 'truthmag'),
        'section' => 'grid_list',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'truthmag_options[grid_list_category_label]',
    array(
        'default' => $truthmag_default['grid_list_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'truthmag_options[grid_list_category_label]',
    array(
        'label' => __('Category Label', 'truthmag'),
        'section' => 'grid_list',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'truthmag_options[select_grid_list_category_color]',
    array(
        'default' => $truthmag_default['select_grid_list_category_color'],
        'sanitize_callback' => 'truthmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'truthmag_options[select_grid_list_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'truthmag'),
        'section' => 'grid_list',
        'type' => 'select',
        'choices' => truthmag_category_color(),
    )
);
